summaryrefslogtreecommitdiffstats
path: root/system/compsize
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2017-12-31 10:38:51 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-06 06:55:05 +0700
commitd7ca20fba5fc22f43d52225b4fe72a4dd5298c2f (patch)
tree6ddf1a49beb77cce0715a164261f8fd5d7aff42c /system/compsize
parent8fcb4e5c61f35537e9e5aaf5810f8afe27af2633 (diff)
downloadslackbuilds-d7ca20fba5fc22f43d52225b4fe72a4dd5298c2f.tar.gz
slackbuilds-d7ca20fba5fc22f43d52225b4fe72a4dd5298c2f.tar.xz
system/compsize: Added (btrfs compression report).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/compsize')
-rw-r--r--system/compsize/README11
-rw-r--r--system/compsize/compsize.SlackBuild76
-rw-r--r--system/compsize/compsize.info10
-rw-r--r--system/compsize/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/system/compsize/README b/system/compsize/README
new file mode 100644
index 0000000000..e930f6fe83
--- /dev/null
+++ b/system/compsize/README
@@ -0,0 +1,11 @@
+compsize takes a list of files (given as arguments) on a btrfs filesystem
+and measures used compression types and effective compression ratio,
+producing a report such as:
+
+[~]$ compsize /usr/share
+Processed 120101 files.
+Type Perc Disk Usage Uncompressed
+Data 58% 1.1G 1.9G
+none 100% 351M 351M
+zlib 29% 41M 137M
+lzo 51% 776M 1.4G
diff --git a/system/compsize/compsize.SlackBuild b/system/compsize/compsize.SlackBuild
new file mode 100644
index 0000000000..7142449867
--- /dev/null
+++ b/system/compsize/compsize.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware build script for <compsize>
+#
+# Michales (clavisound) Michaloudes korgie@gmail.com <2017>
+
+PRGNAM=compsize
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CPPFLAGS="$CPPFLAGS $SLKCFLAGS"
+
+mkdir -p $PKG/usr/bin/
+cp -p compsize $PKG/usr/bin/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man8/
+cp -p compsize.8 $PKG/usr/man/man8/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/compsize/compsize.info b/system/compsize/compsize.info
new file mode 100644
index 0000000000..1ec6d37199
--- /dev/null
+++ b/system/compsize/compsize.info
@@ -0,0 +1,10 @@
+PRGNAM="compsize"
+VERSION="1.0"
+HOMEPAGE="https://github.com/kilobyte/compsize"
+DOWNLOAD="https://github.com/kilobyte/compsize/archive/v1.0/compsize-1.0.tar.gz"
+MD5SUM="ae698fe184e486ffc0c914232b20e136"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
diff --git a/system/compsize/slack-desc b/system/compsize/slack-desc
new file mode 100644
index 0000000000..eb3bbe2cb7
--- /dev/null
+++ b/system/compsize/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+compsize: compsize (btrfs compression report)
+compsize:
+compsize: compsize measures used compression on a btrfs filesystem.
+compsize:
+compsize:
+compsize:
+compsize:
+compsize:
+compsize:
+compsize:
+compsize: